Get APR data for a specific protocol
curl --request GET \
--url https://api.getnimbus.io/v2/farming/apr/{protocol}import requests
url = "https://api.getnimbus.io/v2/farming/apr/{protocol}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getnimbus.io/v2/farming/apr/{protocol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"minApr": "<string>",
"maxApr": "<string>",
"minApy": "<string>",
"maxApy": "<string>",
"minBaseApr": "<string>",
"maxBaseApr": "<string>",
"minRewardsApr": "<string>",
"maxRewardsApr": "<string>",
"minBaseApy": "<string>",
"maxBaseApy": "<string>",
"minRewardsApy": "<string>",
"maxRewardsApy": "<string>",
"minTvl": "<string>",
"maxTvl": "<string>",
"interval": "1h",
"type": "<string>",
"chain": "SUI"
}
]
}Farming
Get APR data for a specific protocol
GET
/
v2
/
farming
/
apr
/
{protocol}
Get APR data for a specific protocol
Path Parameters
The protocol slug
Query Parameters
The minimum TVL of the protocol
The maximum TVL of the protocol
The chain of the protocol
The type of the vault
Available options:
LP, VAULT, STAKING, LENDING, BORROW Response
Protocol APR data
Show child attributes
Show child attributes
⌘I

